EXIFTAGS(1)

NAME
exiftags - output the properties contained in a JPEG Exif section

SYNOPSIS
exiftags [ -acdilquv ] [ -s delim ] [ file ... ]

DESCRIPTION
The exiftags utility parses file or, by default, its standard input, looking for a JPEG APP1 section containing Exif (Exchangeable Image File) data. The properties contained in these data are then printed to the standard output. Digital cameras typically add Exif data to the image files they produce, containing information about the camera and digitized image. The options described below may be used to control output verbosity and section formatting.

OPTIONS

-a  Output camera-specific, image-specific, and verbose properties contained in the file.

-c  Output camera-specific properties contained in the file.

-d  Output Exif parse debug information.

-i  Output image-specific properties contained in the file.

-l  Make lens characteristics image-specific. Useful for higher-end cameras that have removable lenses (i.e., not "point-and-shoot" cameras).

-q  Suppress output of a property section header.

-s  Separate field name and value with the string delim. The default is ': '.

-u  Output unknown or unsupported properties contained in the file. Also, output invalid properties when debugging information is requested.

-v  Output verbose properties contained in the file.

MAKER NOTES
Some camera manufacturers include a "maker note" section with additional information about the camera or image not part of the Exif standard. The format of these maker notes varies wildly and manufacturers are not forthcoming with implementation details. Therefore, exiftags maker note support is the result of experimentation and reverse engineering (see below for credits) and incomplete. exiftags is known to have at least partial support for the following manufacturers' maker notes:

    Asahi/Pentax
    Canon
    Casio
    Fujifilm
    Leica
    Minolta
    Nikon
    Olympus
    Panasonic
    Sanyo
    Sigma

If you wish support for additional manufacturers or cameras, please send any information you have about the data format or, better yet, patches, and a sample image file to the author. (Though he makes no promises.)

DIAGNOSTICS
The exiftags utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
exifcom(1), exiftime(1)

STANDARDS
The exiftags utility was developed using the 2003 draft Exif standard, version 2.21 (http://tsc.jeita.or.jp/) and the June 1992 TIFF specification, revision 6.0 (http://partners.adobe.com/asn/developer/pdfs/tn/TIFF6.pdf).

BUGS
Not all Exif 2.21 properties are supported, due either to the author's laziness or incomplete information. Maker note support is spotty due to lack of information.

AUTHOR
The exiftags utility and this man page were written by Eric M. Johnston <emj@postal.net>. Portions of the utility were developed while referencing the public domain Jhead utility, version 1.2, by Matthias Wandel <mwandel@rim.net>. Some maker note support is the result of TsuruZoh Tachibanaya's compendium (http://www.ba.wakwak.com/~tsuruzoh/Computer/Digicams/exif-e.html) and its contributers. Minolta maker note support was contributed by Javier Crespo <jcrespoc@dsland.org>. Panasonic maker note support was contributed by Tom Hughes <tom@compton.nu>.

Special thanks to the following folks for submitting sample camera files: Bradley Bailey, Kirk Bauer, Marcy Brown, Frank Fortunato, Per Kristian Hove, Brian Jackson, Stan Jirman, Kaye Kirsch, Meder Kydyraliev, Kevin Layer, Henrik Levkowetz, Jamie Mayberry, Jason Montojo, Nick Reid, Frank Reiff, Christian Schmid, Michael Shostak, Nathan Treadway, Mathieu Vanasse, Mark Westling, Phillip Wherry, and Christian Zuckschwerdt.